package com.xhkjedu.slive.mapper.liveplay;

import com.xhkjedu.slive.model.liveplay.LCourse;
import com.xhkjedu.slive.vo.liveplay.CourseParams;
import com.xhkjedu.slive.vo.liveplay.CourseVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface CsMapper {
    //课程列表
    List<CourseVo> listAll(@Param("course") LCourse course);

    //课程班级
    List<Map> listClass(@Param("courseid") Integer courseid);

    //我的月份下日期课节数量
    List<Map> listMySectionDate(@Param("section") CourseParams params);

    //我的课程列表
    List<Map> listMySection(@Param("section") CourseParams params);

    //获取学校数量
    Integer getSchoolNumByCids(@Param("classids") List<Integer> classids);
}
